@font-face {
  font-family: "meteocons";
  src: url("./fonts/meteocons.ttf?kx31oc") format("truetype"), url("./fonts/meteocons.woff?kx31oc") format("woff"),
    url("./fonts/meteocons.svg?kx31oc#meteocons") format("svg");
  font-weight: normal;
  font-style: normal;
}

.meteocons {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: "meteocons" !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Enable Ligatures ================ */
  letter-spacing: 0;
  -webkit-font-feature-settings: "liga";
  -moz-font-feature-settings: "liga=1";
  -moz-font-feature-settings: "liga";
  -ms-font-feature-settings: "liga" 1;
  font-feature-settings: "liga";
  -webkit-font-variant-ligatures: discretionary-ligatures;
  font-variant-ligatures: discretionary-ligatures;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

h1 {
  font-family: "Roboto";
  text-align: center;
  margin-bottom: 40px;
}

.timer-wrapper {
  display: flex;
  justify-content: center;
}

.time-wrapper {
  position: relative;
  width: 80px;
  height: 60px;
  font-size: 48px;
  font-weight: 900;
  font-family: "Montserrat";
}

.time-wrapper .time {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  transform: translateY(0);
  opacity: 1;
  transition: all 0.2s;
}

.time-wrapper .time.up {
  opacity: 0;
  transform: translateY(-100%);
}

.time-wrapper .time.down {
  opacity: 0;
  transform: translateY(100%);
}

.time {
  font-size: 15px;
}

.k-master-row:hover {
  cursor: pointer;
}

.k-master-row td {
  white-space: nowrap;
}

.css-1rhbuit-multiValue {
  background-attachment: red !important;
}

.loader {
  position: fixed;
  /* Sit on top of the page content */
  width: 100%;
  /* Full width (cover the whole page) */
  height: 100%;
  /* Full height (cover the whole page) */
  background-color: rgba(0, 0, 0, 0.5);
  /* Black background with opacity */
  z-index: 2;
  /* Specify a stack order in case you're using a different order for other elements */
  cursor: pointer;
  /* Add a pointer on hover */
}

.loader>div {
  position: absolute;
  top: 42%;
  left: 48%;
}

.loader-popup {
  position: absolute;
  /* Sit on top of the page content */
  width: 100%;
  /* Full width (cover the whole page) */
  height: 100%;
  /* Full height (cover the whole page) */
  background-color: rgba(0, 0, 0, 0.5);
  /* Black background with opacity */
  z-index: 2;
  /* Specify a stack order in case you're using a different order for other elements */
  cursor: pointer;
  /* Add a pointer on hover */
}

.loader-popup>div {
  margin-top: 50px;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.k-grid-header {
  padding: 0px 0px 0px 0px !important;
}

.k-grid-content {
  overflow: hidden !important;
}

.data-btm {
  margin-bottom: 5.6rem !important;
}

#progress {
  width: 100%;
  position: fixed;
  padding: 3px;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 2;
  /* Specify a stack order in case you're using a different order for other elements */
  cursor: pointer;
  /* Add a pointer on hover */
}

#progress>div {
  margin-top: 15% !important;
  margin-left: 40% !important;
}

.k-grid-norecords td {
  padding: 0px !important;
}

.no-records {
  padding: 10px;
}

.full-width {
  padding: 0px !important;
}

/* tspan
{
  font-size: 10px !important;
  text-anchor: start;
} */
/* .gm-ui-hover-effect
{
  display: none !important;
} */
.crop {
  height: 70px;
  width: 100%;
  overflow: hidden;
}

.crop img {
  height: auto;
  width: auto;
  max-height: 75px;
  margin: 0 auto;
  padding: 5px;
}

.nexus-header-logo {
  padding-top: 26px !important;
}

#horizontal-logo img {
  padding: 6px !important;
}

.div-card {}

.div-card-header {
  padding: 10px;
  font-weight: 500;
  font-size: large;
  border: 1px solid #d5d5d5;
  color: #252f3e;
  background-color: #9e9e9e3b;
}

.default .mui-form-control fieldset {
  border: 1px solid lightgray !important;
}

.greyDark .phone-email-modal {
  background-color: #1b2330 !important;
}

.default .phone-email-modal {
  background-color: white !important;
  color: #050505;
}

.default .phone-email-modal fieldset {
  border: 1px solid lightgray !important;
}

.default .phone-email-modal input {
  color: #050505;
}

.default .mui-form-control button {
  color: grey;
}

.greyDark .div-card-header {
  padding: 10px;
  font-weight: 500;
  font-size: large;
  border: 1px solid;
  color: #ffffff;
  background-color: #1b2330;
}

.div-card-body {
  padding: 10px;
  border: 1px solid lightgray;
}

.div-card-body .apexcharts-legend-text,
.apexcharts-datalabel-value {
  color: white !important;
}

.div-card-body .apexcharts-datalabel-value {
  fill: white !important;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.certificate-border {
  /* width: 800px; */
  border: 9px solid #525659;
}

@font-face {
  font-family: "VECTRO-Bold";
  src: url("assets\fonts\VECTRO-Bold.otf");
}

.certificate-header,
.certificate-footer {
  height: 75px;
  background: #050505;
  color: white;
  font-family: "VECTRO-Bold";
}

.text-underline {
  border-bottom: 2px solid;
  width: 82%;
}

.text-certificate {
  width: 100%;
}

.text-certificate input {
  padding: 0px;
  color: black;
}

.certificate-field {
  margin-left: 10px;
  width: 80% !important;
}

.certificate-text-field {
  display: contents;
}

.certificate-text-field input,
.text-certificate-field {
  width: 90px !important;
}

.react-autosuggest__container {
  width: 100%;
  padding: 0.8rem;
  border-style: solid;
  border-color: inherit;
  border-width: 1px;
}

.system-on-test .react-autosuggest__container {
  border-width: 0px !important;
}

.system-on-test,
.system-on-test .auto-suggest-control,
.system-on-test .react-autosuggest__container,
.system-on-test .react-autosuggest__input {
  width: 100% !important;
}

.system-on-test .react-autosuggest__suggestions-container--open {
  display: none !important;
}

.react-autosuggest__container input {
  width: 100%;
}

.greyDark .react-autosuggest__container input {
  background-color: transparent !important;
}

.react-autosuggest__suggestions-container {
  display: none;
  max-height: 400px;
  overflow: auto;
  border-radius: 5px;
}

.react-autosuggest__suggestions-container--open {
  display: block;
  position: absolute;
  top: 36px;
  background-color: #fff;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  z-index: 2;
  width: 100%;
  left: 0%;
}

.greyDark .react-autosuggest__suggestions-container--open {
  background-color: #1a202b !important;
}

.react-autosuggest__suggestions-list {
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.react-autosuggest__suggestion {
  cursor: pointer;
  padding: 10px 20px;
}

.react-autosuggest__suggestion--highlighted {
  background-color: #ddd;
}

.search-select div {
  height: 40px;
}

.auto-suggest-control {
  border-color: lightgray !important;
  font-size: 13px;
  font-weight: normal;
  background: #fff;
}

.auto-suggest-control:focus,
.auto-suggest-control:hover,
.auto-suggest-control:active {

  border-color: black !important;
  border-width: 2px;
}

.monitoring-suggest input {
  height: 30px !important;
}

.greyDark .react-autosuggest__suggestion--highlighted {
  background-color: #ddd;
  color: black;
}

.greyDark .monitoring-suggest input {
  color: black !important;
}

#map_canvas_container {
  position: relative;
}

#map_canvas {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.default svg text {
  fill: #1b2330;
}

.default svg g line {
  stroke: #1b2330;
}

.default .no-records {
  color: #1b2330 !important;
}

.default .apexcharts-line-series .apexcharts-line {
  stroke: #1b2330 !important;
}

.default .apexcharts-legend-text {
  color: #1b2330 !important;
}

.apexcharts-svg {
  background-color: #e6e7e9 !important;
}

.greyDark .apexcharts-svg {
  background-color: #1b2330 !important;
}

.greyDark .k-grid-header-wrap {
  background: #252f3e !important;
  color: white !important;
}

.greyDark .k-grid-content {
  background: rgb(27, 35, 48) !important;
}

/* .k-grid-table,
.k-grid-header-wrap>table {
  min-width: 100%;
  background-color: #f6f7f9;
} */

.greyDark .k-sorted {
  background-color: #1e1e1e !important;
}

.greyDark .k-grid .k-grid-filter,
.greyDark .k-grid .k-header-column-menu,
.greyDark .k-grid .k-hierarchy-cell .k-icon {
  color: rgba(255, 255, 255, 0.7) !important;
}

.k-grid .k-grid-filter,
.k-grid .k-header-column-menu,
.k-grid .k-hierarchy-cell .k-icon {
  color: #525659 !important;
}

.k-grid-header-wrap,
.k-grid-content,
.k-sorted {
  background-color: #f6f7f9 !important;
  color: #525659 !important;
}

.k-grid {
  background-color: #f6f7f9 !important;
  /* border-color: rgb(125 97 97 / 12%); */
}


.k-grid-header,
.k-header,
th.k-header,
.k-grid-header-wrap,
.k-grouping-header,
.k-grouping-header .k-group-indicator,
.k-grid td,
.k-grid-footer,
.k-grid-footer-wrap,
.k-grid-content-locked,
.k-grid-footer-locked,
.k-grid-header-locked,
.k-filter-row>td,
.k-filter-row>th {
  border-color: rgb(127 115 115 / 12%) !important;
}

.default .k-header {
  background-color: #dee0e3;
}

.k-grid th,
.k-grid td {
  border-left-color: transparent !important;
}

.k-grid th,
.k-grid td {
  border-left-color: transparent !;
}

.default .k-grid-header .k-grid-filter {
  color: rgba(17, 24, 39, 0.7);
}

.greyDark .k-grid {
  border-color: rgb(37 46 61 / 72%) !important;
}


.default .k-grid {
  border-color: rgb(195 195 195 / 68%);
}

.default .k-grid-container {
  border-left: 1px solid rgb(195 195 195 / 68%) !important;
  border-right: 1px solid rgb(195 195 195 / 68%) !important;
}

.default .k-header:hover,
.default .k-grid-header .k-grid-filter:hover {
  background-color: #ddd;
  color: goldenrod;
}

.default .k-grid-header .k-grid-filter:hover,
.default .k-grid-header .k-link:hover {
  color: goldenrod;
}

#login-card input {
  color: #fff !important;
  -webkit-text-fill-color: #fff !important;
  -webkit-background-clip: text !important;
  background-clip: text !important;
}

.k-list-container {
  z-index: 999999 !important;
}

/* hr
{
  background-color: #fff !important;
} */
.greyDark .k-animation-container div,
.greyDark .k-datetime-buttongroup,
.greyDark .k-datetime-buttongroup .k-button,
.greyDark .k-datetime-footer,
.greyDark .k-datetime-footer .k-button {
  background-color: #252f3e !important;
}

.default .k-animation-container div,
.default .k-datetime-buttongroup,
.default .k-datetime-buttongroup .k-button,
.default .k-datetime-footer,
.default .k-datetime-footer .k-button {
  background-color: #efefef !important;
  color: #1e1e1e;
}

.default .k-dropdown .k-dropdown-wrap,
.default .k-dropdowntree .k-dropdown-wrap {
  /* border-color: rgb(203 203 203 / 70%) !important; */
  color: #131821 !important;
}

.default .k-dropdown .k-dropdown-wrap .k-select,
.default .k-dropdowntree .k-dropdown-wrap .k-select {
  color: #131821 !important;
}

.default .k-filter-menu-container.k-textbox,
.default .k-filter-menu-container .k-dropdown-wrap {
  border-color: rgba(217, 217, 217, 0.7);
  color: #131821 !important;
}

.default .k-textbox:hover {
  border-color: rgba(128, 128, 128, 0.7);
  color: #131821 !important;
}

.default .k-textbox {
  border-color: rgba(217, 217, 217, 0.7);
  color: #131821 !important;
}

.greyDark .active-item {
  color: #fff !important;
  background-color: #464d5b !important;
}

.greyDark .active-item div {
  color: white !important
}

.greyDark .inactive-item {
  background-color: #5b5f68cf !important;
}


.active-item {
  color: rgb(0, 0, 0) !important;
  background-color: #ffffff !important;
}

.active-item div {
  color: rgb(0, 0, 0) !important;
}

.inactive-item {
  background-color: lightgrey !important;
}

.greyDark .settings-container {
  background-color: #1b2330 !important;
}

.settings-container {
  background-color: #efefef !important;
}

.greyDark .k-tilelayout-item {
  border-radius: 8px !important;
  background-color: transparent !important;
  border: 1px solid #838c9796 !important
}

.k-tilelayout-item .k-tilelayout-item-header {
  border-radius: 0px !important;
}

.default .k-tilelayout {
  background-color: #d3d3d3b3 !important;
}

.k-tilelayout-item {
  border-radius: 8px !important;
  background-color: transparent !important;
  border: 1px solid #d3d3d3b3 !important;
}

.greyDark .multiselect__control {
  background-color: hsl(218.18deg 15.71% 27.45%) !important;
  border-color: #ffffff !important;

}

.greyDark .multiselect__control .multiselect__input {
  color: white !important;
}

.greyDark .multiselect__menu {
  background-color: hsl(220deg 11.34% 46.81%) !important;
  color: #fff !important;
}

.greyDark .multiselect__menu .multiselect__option {
  color: #fff !important;
}

.greyDark .multiselect__control .multiselect__placeholder {
  color: rgb(223, 223, 223) !important;
}

.greyDark .multiselect__single-value {
  color: #fff !important;
}

.greyDark .ddl-control>div {
  background-color: hsl(220deg 13.04% 31.57%) !important;
}

.greyDark .ddl-select__value-container .ddl-select__single-value {
  color: white !important;
}

.greyDark .ddl-select__option {
  color: white !important;
}

.greyDark .ddl-select__option--is-selected {
  color: rgb(86, 86, 86) !important;
}

.greyDark .certificate-body {
  color: black !important;
}

.greyDark .certificate-field .text-certificate div::before {
  left: 0;
  right: 0;
  bottom: 0;
  content: "\00a0";
  position: absolute;
  transition: border-bottom-color 200ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  border-bottom: 1px solid rgba(0, 0, 0, 0.42);
  border-bottom-style: dotted;
  pointer-events: none;
}

.default [class^="MuiSwitch-track-"] {
  background-color: rgb(136 136 136);
}

.default .alarm-history-tab {
  color: #515151 !important;
}

.greyDark #service-company-label {
  color: white !important;
}

.greyDark .react-autosuggest__input--focused {
  border: transparent !important;
}

.greyDark .monitoring-suggest input {
  background-color: transparent !important;
  color: white !important;
}

.greyDark .react-autosuggest__container input:focus,
.greyDark .react-autosuggest__container input:focus-visible {
  border: transparent !important;
  outline: 0px !important;
}

.greyDark .auto-suggest-control {
  background-color: transparent !important;
}

.react-autosuggest__container {
  border-radius: 3px !important;
}

.greyDark .react-autosuggest__container {
  border-color: rgba(255, 255, 255, 0.23);
  border-radius: 3px !important;
}

.greyDark .textbox-fieldset {
  color: #050505 !important;
}

.greyDark .textbox-fieldset label {
  color: rgb(0, 0, 0) !important;
}

.greyDark .textbox-fieldset fieldset {
  border-color: rgba(156, 156, 156, 0.23);
}

.greyDark .textbox-fieldset fieldset:focus-visible {
  outline: rgba(97, 97, 97, 0.23) !important;
}

.greyDark .textbox-fieldset input,
.greyDark .textbox-fieldset textarea {
  color: #252f3e !important;

}

.greyDark button[disabled] {
  color: rgba(0, 0, 0, 0.26) !important;
  box-shadow: none !important;
  background-color: rgba(0, 0, 0, 0.12) !important;
}

.greyDark .text-field div:after {
  left: 0;
  right: 0;
  bottom: 0;
  content: "";
  position: absolute;
  transform: scaleX(0);
  transition: transform 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms;
  border-bottom: 2px solid #666666 !important;
  pointer-events: none;
}

.greyDark .text-field:after {
  border-bottom: 2px solid #666666 !important;
}

.greyDark .text-field fieldset {
  border: 1px solid rgba(255, 255, 255, 0.12) !important;
}

.greyDark #search-by-label {
  color: rgb(255 255 255) !important
}

.greyDark .text-field label {
  color: rgb(229, 231, 235) !important;
}

.greyDark #demo-simple-select-outlined-label {
  color: rgb(229, 231, 235) !important;
}

.greyDark .advancedSearchControls label {
  color: rgb(229, 231, 235) !important;
}

.greyDark .advancedSearchControls input:after {
  border-bottom: 2px solid #e2e2e2 !important;
}

.greyDark [class^="MuiPickersDay-current-"] {
  color: #60ff00 !important;
}

[class^="MuiInput-underline"]:after {
  left: 0;
  right: 0;
  bottom: 0;
  content: "";
  position: absolute;
  transform: scaleX(0);
  transition: transform 200ms cubic-bezier(0.0, 0, 0.2, 1) 0ms;
  border-bottom: 2px solid #1c67e0 !important;
  pointer-events: none;
}

.greyDark input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 1000px #464d5b inset !important;
  /* your custom bg */
  -webkit-text-fill-color: rgb(241, 241, 241) !important;
  /* custom text color */
  caret-color: rgb(241, 241, 241);
  font-weight: bold;
}

.greyDark input:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0 1000px #464d5b inset !important;
  -webkit-text-fill-color: rgb(241, 241, 241) !important;
}


#loginForm input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 1000px #020022 inset !important;
  /* your custom bg */
  -webkit-text-fill-color: rgb(241, 241, 241) !important;
  /* custom text color */
  caret-color: rgb(241, 241, 241);
  font-weight: bold;
}

#loginForm input:-webkit-autofill:focus {
  -webkit-box-shadow: 0 0 0 1000px #020022 inset !important;
  -webkit-text-fill-color: rgb(241, 241, 241) !important;
}

.default .k-calendar-th {
  color: #100b0b !important;
}

.greyDark .test-zones-report-pdf {
  color: rgb(57, 57, 57) !important;
}

.greyDark .test-zones-report-pdf thead tr th {
  font-weight: bold !important;
  color: rgb(57, 57, 57) !important;
  border: 0.5px solid black !important;
}

.greyDark .test-zones-report-pdf tr td {
  color: rgb(57, 57, 57) !important;
}

.test-zones-report fieldset {
  border: 1px solid #d5d5d5 !important;
}

.test-zones-report input {
  color: rgb(57, 57, 57) !important;
}

.test-zones-report input::placeholder {
  color: rgb(57, 57, 57) !important;
}

.greyDark .test-zones-report-pdf .border-r-1 {
  border-right-width: 1px !important;
}

.greyDark .test-zones-report-pdf .border-1 {
  border-right-width: 1px !important;
}

.greyDark .test-zones-report-pdf [class*="border-"] {
  border-color: #EEEEEE !important;
}

.greyDark .test-zones-report-pdf [class*="MuiTableCell-alignJustify-"] {
  text-align: justify;
}

.greyDark .test-zones-report-pdf [class*="MuiTableCell-sizeSmall-"] {
  padding: 6px 24px 6px 16px;
}

.greyDark .test-zones-report-pdf [class*="MuiTableCell-body-"] {
  color: rgb(27, 27, 27) !important;
}

.greyDark .test-zones-report-pdf *,
.greyDark .test-zones-report-pdf ::before,
::after {
  box-sizing: border-box !important;
  border-width: 0 !important;
  border-style: solid;
  border-color: #EEEEEE !important;
}

.greyDark .test-zones-report-pdf [class*="MuiTableCell-root-"] {
  display: table-cell;
  padding: 12px;
  font-size: 1.3rem;
  text-align: left;
  font-family: Poppins, Roboto, "Helvetica", Arial, sans-serif;
  font-weight: 400;
  line-height: 1;
  border-bottom: 1px solid #EEEEEE !important;
  vertical-align: inherit;
}

.greyDark .test-zones-report-pdf .border-r-1 {
  border-right-width: 1px !important;
}

.greyDark .test-zones-report-pdf .border-l-1 {
  border-left-width: 1px !important;
}

.greyDark .test-zones-report-pdf .border-r-1 {
  border-right-width: 1px !important;
}

.greyDark .test-zones-report-pdf .border-b-0 {
  border-bottom-width: 0px !important;
}

.greyDark  [class*="MuiInputBase-focused-"] {
  border: 2px solid rgb(233, 233, 233) !important;
}

.default .card-divider{
  background-color:  rgb(233, 233, 233) !important;
}
#health-report .div-card-header{
  border: 1px solid;
  background-color: #464e5b !important;
  color: white !important;
  border-bottom: 0px !important;
  border-color: gray;
  border-radius: 10px 10px 0px 0px;
  border-bottom: 0px;
}
#health-report .div-card-body{
  border-radius:  0px 0px 10px 10px;
}
.pdfPageBreak {
  page-break-before: 'always'
}

